import { z } from "zod"

export const SAS_TOKEN_STORAGE_KEY = "sas-x-scandic-token"
export const SAS_TRANSFER_POINT_KEY = "sas-x-scandic-eb-points"

export const stateSchema = z.object({
  intent: z.enum(["link", "unlink", "transfer"]),
})
export type State = z.infer<typeof stateSchema>
